---
$schema: "https://json-schema.org/draft/2020-12/schema"
$id: "urn:uuid:your-schema-id"
title: "Spring Boot Configuration Properties"
description: "Auto-generated schema from configuration metadata"
type: "object"
$defs:
  loggerLevel:
    type: "string"
    enum:
    - "TRACE"
    - "debug"
    - "INFO"
    - "error"
    - "DEBUG"
    - "WARN"
    - "OFF"
    - "off"
    - "fatal"
    - "warn"
    - "trace"
    - "ERROR"
    - "FATAL"
    - "info"
  loggerLevelProp:
    type: "object"
    additionalProperties:
      oneOf:
      - $ref: "#/$defs/loggerLevel"
      - $ref: "#/$defs/loggerLevelProp"
  java.util.Locale:
    type: "string"
    enum:
    - ""
    - "ksh"
    - "rw_RW"
    - "af_ZA"
    - "en_TC"
    - "fr_LU"
    - "en_TK"
    - "ccp"
    - "sn_ZW_#Latn"
    - "it_SM"
    - "en_TO"
    - "en_TT"
    - "sbp_TZ_#Latn"
    - "nl_AW"
    - "de_IT"
    - "en_TV"
    - "om_ET_#Latn"
    - "en_TZ"
    - "teo"
    - "fr_ML"
    - "sr_ME_#Latn"
    - "ti_ER"
    - "nl_BE"
    - "fr_MQ"
    - "fr_MU"
    - "ti_ET"
    - "en_UG"
    - "fr_MR"
    - "en_UM"
    - "os_RU"
    - "nl_BQ"
    - "seh_MZ_#Latn"
    - "nus_SS_#Latn"
    - "fr_MA"
    - "ko_KR"
    - "en_US"
    - "ko_KP"
    - "kok_IN"
    - "ksh_DE"
    - "fr_MC"
    - "fr_MF"
    - "ses_ML"
    - "fr_MG"
    - "ceb"
    - "pcm_NG_#Latn"
    - "be_BY"
    - "de_LI"
    - "dav_KE_#Latn"
    - "se_NO"
    - "xog"
    - "en_RW"
    - "nd_ZW"
    - "dua_CM"
    - "sr_XK_#Cyrl"
    - "bn_IN"
    - "mzn"
    - "ms_ID"
    - "en_SC"
    - "pa_IN"
    - "en_SD"
    - "en_SB"
    - "fr_KM"
    - "en_SG"
    - "en_SH"
    - "en_SE"
    - "en_SL"
    - "en_SI"
    - "et_EE_#Latn"
    - "fi_FI"
    - "en_SS"
    - "ru_UA"
    - "vai__#Latn"
    - "ur_PK"
    - "en_SX"
    - "uz_UZ_#Latn"
    - "en_SZ"
    - "cgg"
    - "en_PH"
    - "bn_BD"
    - "fr_HT"
    - "en_PG"
    - "nnh_CM"
    - "en_PK"
    - "ff_LR_#Latn"
    - "en_PN"
    - "sr_BA"
    - "en_PR"
    - "kw_GB_#Latn"
    - "en_PW"
    - "sg_CF_#Latn"
    - "ewo_CM_#Latn"
    - "ur_IN"
    - "bg_BG_#Cyrl"
    - "shi_MA_#Latn"
    - "sg_CF"
    - "be_BY_#Cyrl"
    - "chr"
    - "nds_DE_#Latn"
    - "sw_TZ_#Latn"
    - "jmc_TZ"
    - "en_MY"
    - "sw_UG"
    - "en_MW"
    - "da_DK_#Latn"
    - "hi_IN"
    - "en_NA"
    - "en_NF"
    - "en_NG"
    - "sw_TZ"
    - "fr_FR"
    - "yo_BJ"
    - "ms_MY"
    - "sr_BA_#Latn"
    - "nl_CW"
    - "en_NL"
    - "ks__#Arab"
    - "en_NR"
    - "sr_CS"
    - "haw_US"
    - "nl_NL_#Latn"
    - "pcm"
    - "en_NU"
    - "tt_RU_#Cyrl"
    - "wae_CH"
    - "en_NZ"
    - "fr_GF"
    - "kam_KE"
    - "fr_GN"
    - "ca_ES_VALENCIA"
    - "fr_GP"
    - "fr_GQ"
    - "cy_GB"
    - "ceb_PH"
    - "ckb"
    - "lu_CD"
    - "fr_GA"
    - "de_AT"
    - "en_KY"
    - "mgo_CM_#Latn"
    - "gsw"
    - "agq"
    - "lag_TZ_#Latn"
    - "fr_DJ"
    - "ca_IT"
    - "ff_GM_#Adlm"
    - "en_LC"
    - "vai_LR_#Vaii"
    - "yue__#Hant"
    - "yue__#Hans"
    - "ja_JP_JP_#u-ca-japanese"
    - "sv_AX"
    - "luy_KE"
    - "en_LR"
    - "naq"
    - "en_LS"
    - "ti_ET_#Ethi"
    - "sn_ZW"
    - "ff_NE_#Adlm"
    - "ms_MY_#Latn"
    - "ff_SN_#Latn"
    - "en_MG"
    - "en_MH"
    - "ar_EG_#Arab"
    - "naq_NA"
    - "nmg_CM_#Latn"
    - "kea_CV"
    - "en_MO"
    - "fr_DZ"
    - "en_MP"
    - "en_MU"
    - "en_MS"
    - "bs_BA_#Latn"
    - "yue_CN_#Hans"
    - "en_MT"
    - "bas_CM_#Latn"
    - "it_IT"
    - "pl_PL"
    - "fr_BE"
    - "teo_UG_#Latn"
    - "fr_BF"
    - "ks_IN"
    - "tr_TR"
    - "fr_BI"
    - "fr_BJ"
    - "my_MM_#Mymr"
    - "ff_GH_#Adlm"
    - "ca_ES_#Latn"
    - "guz"
    - "de_DE"
    - "fr_BL"
    - "tg_TJ"
    - "ksf_CM"
    - "en_JE"
    - "de_CH"
    - "zh_HK"
    - "uz_AF"
    - "luy_KE_#Latn"
    - "en_JM"
    - "yo_NG"
    - "pa_PK"
    - "pa_PK_#Arab"
    - "ee_GH"
    - "zu_ZA_#Latn"
    - "fr_CA"
    - "fr_CF"
    - "fr_CG"
    - "fr_CD"
    - "so_SO_#Latn"
    - "ff_GN_#Adlm"
    - "fr_CH"
    - "fr_CI"
    - "vi_VN"
    - "fr_CM"
    - "de_BE"
    - "en_KE"
    - "en_KI"
    - "guz_KE_#Latn"
    - "en_KN"
    - "nds"
    - "uz__#Latn"
    - "fy_NL"
    - "lag_TZ"
    - "ast_ES_#Latn"
    - "en_GU"
    - "en_GY"
    - "bn_BD_#Beng"
    - "lv_LV_#Latn"
    - "af_NA"
    - "yo_NG_#Latn"
    - "ig_NG"
    - "vun"
    - "th_TH_#Thai"
    - "ca_ES"
    - "lag"
    - "sv_SE_#Latn"
    - "en_HK"
    - "sa_IN_#Deva"
    - "nl_NL"
    - "ff_GW_#Latn"
    - "ky_KG_#Cyrl"
    - "en_IE"
    - "hr_HR"
    - "ms_SG"
    - "en_IM"
    - "en_IN"
    - "en_IL"
    - "en_IO"
    - "rof_TZ_#Latn"
    - "en_ER"
    - "kab_DZ_#Latn"
    - "ii_CN_#Yiii"
    - "zh_SG_#Hans"
    - "rof"
    - "sat_IN_#Olck"
    - "hr_HR_#Latn"
    - "fur_IT"
    - "sat_IN"
    - "en_FJ"
    - "en_FK"
    - "en_FI"
    - "se_SE"
    - "as_IN"
    - "en_FM"
    - "az_AZ_#Cyrl"
    - "jmc_TZ_#Latn"
    - "teo_UG"
    - "ca_FR"
    - "sr_ME"
    - "en_GD"
    - "ksb_TZ"
    - "en_GB"
    - "en_GG"
    - "en_GH"
    - "ml_IN"
    - "en_GI"
    - "zh_CN"
    - "ewo"
    - "dje_NE"
    - "en_GM"
    - "ta_LK"
    - "jgo_CM_#Latn"
    - "nb_NO_#Latn"
    - "bem_ZM_#Latn"
    - "to_TO_#Latn"
    - "nb_NO"
    - "sd__#Deva"
    - "sd_IN_#Deva"
    - "en_US_POSIX"
    - "tg_TJ_#Cyrl"
    - "sr_RS_#Latn"
    - "el_GR_#Grek"
    - "ia_001"
    - "zh_CN_#Hans"
    - "qu_BO"
    - "bez_TZ"
    - "mni_IN_#Beng"
    - "ta_MY"
    - "fo_FO"
    - "se_NO_#Latn"
    - "sa_IN"
    - "jgo_CM"
    - "sr__#Cyrl"
    - "twq"
    - "gl_ES_#Latn"
    - "gsw_CH"
    - "fo_DK"
    - "asa"
    - "yav"
    - "ebu_KE"
    - "mfe_MU_#Latn"
    - "lv_LV"
    - "ar_IQ"
    - "zh_MO_#Hant"
    - "ar_IL"
    - "ksf_CM_#Latn"
    - "zh_MO_#Hans"
    - "br_FR"
    - "ast"
    - "nmg"
    - "th_TH"
    - "sw_CD"
    - "gu_IN_#Gujr"
    - "lb_LU_#Latn"
    - "su_ID"
    - "ru_KZ"
    - "ar_BH"
    - "shi__#Tfng"
    - "uz__#Arab"
    - "haw"
    - "ff_BF_#Latn"
    - "uz_AF_#Arab"
    - "mgh_MZ"
    - "sk_SK_#Latn"
    - "ru_KG"
    - "tzm"
    - "gd_GB"
    - "ta_IN"
    - "nnh"
    - "teo_KE"
    - "rn_BI_#Latn"
    - "dua_CM_#Latn"
    - "yue_CN"
    - "kk_KZ"
    - "fr_YT"
    - "no_NO"
    - "fr_VU"
    - "luo_KE"
    - "rwk"
    - "mgh_MZ_#Latn"
    - "twq_NE_#Latn"
    - "gsw_FR"
    - "jgo"
    - "lkt"
    - "ar_DJ"
    - "kde_TZ_#Latn"
    - "wae"
    - "nyn_UG"
    - "qu_PE_#Latn"
    - "ce_RU"
    - "si_LK_#Sinh"
    - "jv_ID"
    - "kk_KZ_#Cyrl"
    - "eu_ES_#Latn"
    - "ar_DZ"
    - "lb_LU"
    - "dsb_DE_#Latn"
    - "fr_WF"
    - "tzm_MA"
    - "mt_MT_#Latn"
    - "kkj_CM_#Latn"
    - "ar_ER"
    - "qu_EC"
    - "ar_EG"
    - "kln_KE_#Latn"
    - "ar_EH"
    - "sq_XK"
    - "nb_SJ"
    - "saq_KE"
    - "pl_PL_#Latn"
    - "en_001"
    - "fr_TD"
    - "fr_TG"
    - "ff_NE_#Latn"
    - "ff_GH_#Latn"
    - "fr_TN"
    - "te_IN"
    - "brx_IN"
    - "ff_CM_#Adlm"
    - "ff_GN_#Latn"
    - "tr_CY"
    - "ff_MR_#Adlm"
    - "os_GE"
    - "id_ID"
    - "fr_RW"
    - "en_ZM"
    - "km_KH"
    - "en_ZW"
    - "se_FI"
    - "rn_BI"
    - "fr_RE"
    - "no_NO_#Latn"
    - "hy_AM_#Armn"
    - "fr_SY"
    - "ru_MD"
    - "lkt_US_#Latn"
    - "fr_SC"
    - "zgh_MA"
    - "sd_PK_#Arab"
    - "sl_SI"
    - "fr_SN"
    - "te_IN_#Telu"
    - "ar_AE"
    - "gsw_LI"
    - "jmc"
    - "fr_PM"
    - "nus"
    - "luo_KE_#Latn"
    - "lo_LA"
    - "gv_IM"
    - "dav"
    - "ug_CN"
    - "sw_KE"
    - "fr_PF"
    - "lrc"
    - "qu_PE"
    - "ja_JP_#Jpan"
    - "pa_IN_#Guru"
    - "is_IS_#Latn"
    - "vai_LR_#Latn"
    - "ms_BN"
    - "de_LU"
    - "eo_001"
    - "en_ZA"
    - "fy_NL_#Latn"
    - "en_VC"
    - "ru_RU"
    - "it_VA"
    - "en_VG"
    - "mai_IN"
    - "sd__#Arab"
    - "seh_MZ"
    - "en_VI"
    - "ee_TG"
    - "ff_GM_#Latn"
    - "vai__#Vaii"
    - "en_VU"
    - "fr_NE"
    - "fr_NC"
    - "sah"
    - "haw_US_#Latn"
    - "az__#Latn"
    - "saq"
    - "sat"
    - "ps_PK"
    - "mai_IN_#Deva"
    - "bg_BG"
    - "mn_MN_#Cyrl"
    - "en_WS"
    - "et_EE"
    - "bem_ZM"
    - "ta_SG"
    - "pcm_NG"
    - "sbp"
    - "ha_GH"
    - "gv_IM_#Latn"
    - "nyn"
    - "bo_CN"
    - "luo"
    - "fil"
    - "es_EA"
    - "es_EC"
    - "luy"
    - "bas"
    - "es_ES"
    - "pt_ST"
    - "mi_NZ_#Latn"
    - "xh_ZA"
    - "nn_NO_#Latn"
    - "af"
    - "nnh_CM_#Latn"
    - "bo_CN_#Tibt"
    - "af_ZA_#Latn"
    - "to_TO"
    - "no_NO_NY"
    - "pt_BR_#Latn"
    - "ak"
    - "sd_PK"
    - "am_ET"
    - "am"
    - "ar"
    - "as"
    - "es_ES_#Latn"
    - "az"
    - "pa__#Arab"
    - "ki_KE_#Latn"
    - "chr_US_#Cher"
    - "be"
    - "es_BR"
    - "bg"
    - "zu_ZA"
    - "ccp_BD"
    - "bm"
    - "ff__#Latn"
    - "bn"
    - "bo"
    - "es_BZ"
    - "br"
    - "bs"
    - "ar_YE"
    - "seh"
    - "es_CO"
    - "mk_MK_#Cyrl"
    - "ses_ML_#Latn"
    - "pa__#Guru"
    - "ca"
    - "es_CL"
    - "sq_AL_#Latn"
    - "ses"
    - "ff_NG_#Latn"
    - "ce"
    - "nmg_CM"
    - "es_CR"
    - "es_CU"
    - "rof_TZ"
    - "br_FR_#Latn"
    - "mg_MG"
    - "cs"
    - "az_AZ"
    - "kam_KE_#Latn"
    - "cy"
    - "es_DO"
    - "ff_BF_#Adlm"
    - "da"
    - "pt_PT"
    - "de"
    - "ln_CD_#Latn"
    - "mg_MG_#Latn"
    - "wae_CH_#Latn"
    - "bem"
    - "hu_HU"
    - "ar_SA"
    - "es_419"
    - "ar_SD"
    - "so_KE"
    - "bez"
    - "dz"
    - "ff_MR_#Latn"
    - "tr_TR_#Latn"
    - "jv_ID_#Latn"
    - "ak_GH"
    - "dje"
    - "ee"
    - "en_US_#Latn"
    - "ar_SS"
    - "ro_MD"
    - "vai_LR"
    - "ar_SO"
    - "es_AR"
    - "el"
    - "en"
    - "eo"
    - "es"
    - "et"
    - "eu"
    - "ar_TD"
    - "bas_CM"
    - "he_IL_#Hebr"
    - "shi"
    - "su_ID_#Latn"
    - "hsb"
    - "ar_SY"
    - "es_BO"
    - "bs_BA_#Cyrl"
    - "fa"
    - "ug_CN_#Arab"
    - "ff"
    - "fi"
    - "ar_TN"
    - "yue"
    - "hsb_DE_#Latn"
    - "fo"
    - "fr"
    - "sah_RU_#Cyrl"
    - "fy"
    - "uz_UZ"
    - "ga"
    - "ro_RO_#Latn"
    - "gd"
    - "gl"
    - "fr_FR_#Latn"
    - "gu"
    - "yi_001"
    - "gv"
    - "sr__#Latn"
    - "xh_ZA_#Latn"
    - "zh_TW_#Hant"
    - "pt_TL"
    - "ha"
    - "ga_IE_#Latn"
    - "ff_SL_#Latn"
    - "he"
    - "or_IN_#Orya"
    - "om_ET"
    - "hi"
    - "cgg_UG"
    - "ro_RO"
    - "smn_FI_#Latn"
    - "uk_UA_#Cyrl"
    - "mt_MT"
    - "hr"
    - "ff_GN"
    - "mgo_CM"
    - "sah_RU"
    - "hu"
    - "hy"
    - "lrc_IR_#Arab"
    - "om_KE"
    - "kkj_CM"
    - "ia"
    - "id"
    - "ig"
    - "ar_OM"
    - "ii"
    - "dz_BT"
    - "ne_NP_#Deva"
    - "yue_HK"
    - "ccp_IN"
    - "is"
    - "it"
    - "mzn_IR"
    - "ceb_PH_#Latn"
    - "ja"
    - "kde_TZ"
    - "cy_GB_#Latn"
    - "doi"
    - "kl_GL_#Latn"
    - "ko_KR_#Kore"
    - "jv"
    - "ps_AF_#Arab"
    - "rwk_TZ_#Latn"
    - "saq_KE_#Latn"
    - "ar_QA"
    - "mai"
    - "smn"
    - "ka"
    - "ar_PS"
    - "ki"
    - "mas"
    - "kk"
    - "hu_HU_#Latn"
    - "kl"
    - "km"
    - "kn"
    - "ko"
    - "lt_LT_#Latn"
    - "ks"
    - "ku"
    - "kw"
    - "az__#Cyrl"
    - "ky"
    - "am_ET_#Ethi"
    - "lb"
    - "cs_CZ_#Latn"
    - "lg"
    - "mi_NZ"
    - "fur"
    - "ln"
    - "lo"
    - "lt"
    - "lu"
    - "lv"
    - "ckb_IQ"
    - "ckb_IR"
    - "sq_MK"
    - "mni__#Beng"
    - "so_SO"
    - "mg"
    - "yi_001_#Hebr"
    - "mi"
    - "mk"
    - "ar_JO"
    - "ml"
    - "ckb_IQ_#Arab"
    - "mn"
    - "is_IS"
    - "fil_PH_#Latn"
    - "sr_ME_#Cyrl"
    - "mr"
    - "ms"
    - "mt"
    - "nus_SS"
    - "ee_GH_#Latn"
    - "my"
    - "chr_US"
    - "ru_BY"
    - "dsb"
    - "nb"
    - "shi_MA_#Tfng"
    - "nd"
    - "ar_KW"
    - "kn_IN_#Knda"
    - "nd_ZW_#Latn"
    - "lt_LT"
    - "ne"
    - "kea_CV_#Latn"
    - "ar_KM"
    - "dyo_SN_#Latn"
    - "ps_AF"
    - "nl"
    - "nn"
    - "zh__#Hans"
    - "no"
    - "rm_CH_#Latn"
    - "zh__#Hant"
    - "ar_LB"
    - "mas_KE_#Latn"
    - "kab"
    - "ki_KE"
    - "vi_VN_#Latn"
    - "sat__#Olck"
    - "bs__#Latn"
    - "kam"
    - "ar_LY"
    - "zh_HK_#Hans"
    - "mer"
    - "zh_HK_#Hant"
    - "om"
    - "mni_IN"
    - "or"
    - "os"
    - "fil_PH"
    - "naq_NA_#Latn"
    - "mk_MK"
    - "mfe"
    - "ar_MA"
    - "dua"
    - "pa"
    - "lg_UG"
    - "ml_IN_#Mlym"
    - "uz_UZ_#Cyrl"
    - "twq_NE"
    - "pl"
    - "ku_TR_#Latn"
    - "smn_FI"
    - "ar_MR"
    - "en_CM"
    - "ps"
    - "pt"
    - "ca_AD"
    - "it_CH"
    - "en_CX"
    - "es_US"
    - "pt_BR"
    - "en_CY"
    - "mgh"
    - "ig_NG_#Latn"
    - "es_UY"
    - "ii_CN"
    - "mgo"
    - "en_DE"
    - "fo_FO_#Latn"
    - "ln_CD"
    - "mer_KE"
    - "en_DG"
    - "tzm_MA_#Latn"
    - "en_DM"
    - "en_DK"
    - "dz_BT_#Tibt"
    - "qu"
    - "es_VE"
    - "ff_NG_#Adlm"
    - "da_DK"
    - "ak_GH_#Latn"
    - "brx"
    - "pt_AO"
    - "lkt_US"
    - "kde"
    - "mua_CM"
    - "ln_AO"
    - "yav_CM_#Latn"
    - "fa_IR_#Arab"
    - "rm"
    - "rn"
    - "ro"
    - "el_GR"
    - "ru"
    - "eo_001_#Latn"
    - "rw"
    - "kea"
    - "en_AU"
    - "da_GL"
    - "en_AS"
    - "en_AT"
    - "he_IL"
    - "sa"
    - "es_SV"
    - "ka_GE_#Geor"
    - "sr_BA_#Cyrl"
    - "sd"
    - "se"
    - "sbp_TZ"
    - "en_BB"
    - "sg"
    - "si"
    - "gsw_CH_#Latn"
    - "sk"
    - "sl"
    - "sn"
    - "en_BE"
    - "so"
    - "rw_RW_#Latn"
    - "sq"
    - "asa_TZ"
    - "en_BI"
    - "sr"
    - "hi_IN_#Deva"
    - "su"
    - "en_BM"
    - "sv"
    - "ln_CG"
    - "sw"
    - "ln_CF"
    - "en_BS"
    - "en_BW"
    - "ur_PK_#Arab"
    - "ia_001_#Latn"
    - "en_BZ"
    - "ta"
    - "doi_IN_#Deva"
    - "te"
    - "tg"
    - "th"
    - "en_CC"
    - "ti"
    - "ka_GE"
    - "en_CA"
    - "tk"
    - "uk_UA"
    - "en_CH"
    - "os_GE_#Cyrl"
    - "hr_BA"
    - "to"
    - "dyo"
    - "en_CK"
    - "tr"
    - "tt"
    - "bez_TZ_#Latn"
    - "si_LK"
    - "ne_IN"
    - "rm_CH"
    - "ug"
    - "sv_FI"
    - "kl_GL"
    - "kw_GB"
    - "uk"
    - "it_IT_#Latn"
    - "mua_CM_#Latn"
    - "ur"
    - "uz"
    - "sr_RS"
    - "nds_NL"
    - "ff_SL_#Adlm"
    - "vi"
    - "su__#Latn"
    - "zh_MO"
    - "khq"
    - "en_AE"
    - "en_AI"
    - "en_AG"
    - "lu_CD_#Latn"
    - "nl_SR"
    - "ff_LR_#Adlm"
    - "nl_SX"
    - "khq_ML_#Latn"
    - "fur_IT_#Latn"
    - "mn_MN"
    - "el_CY"
    - "ksh_DE_#Latn"
    - "shi_MA"
    - "wo"
    - "sr_XK_#Latn"
    - "zgh"
    - "ar_001"
    - "ff_CM_#Latn"
    - "pt_CH"
    - "nn_NO"
    - "es_PE"
    - "es_PA"
    - "fa_IR"
    - "mni"
    - "mas_TZ"
    - "es_PH"
    - "pt_CV"
    - "xh"
    - "lg_UG_#Latn"
    - "hsb_DE"
    - "ewo_CM"
    - "es_PR"
    - "fi_FI_#Latn"
    - "tt_RU"
    - "ru_RU_#Cyrl"
    - "es_PY"
    - "kkj"
    - "cs_CZ"
    - "asa_TZ_#Latn"
    - "yi"
    - "yo"
    - "mfe_MU"
    - "kln_KE"
    - "es_MX"
    - "sk_SK"
    - "ccp_BD_#Cakm"
    - "vai"
    - "sv_SE"
    - "sq_AL"
    - "gd_GB_#Latn"
    - "es_NI"
    - "my_MM"
    - "kln"
    - "zh"
    - "th_TH_TH_#u-nu-thai"
    - "vun_TZ"
    - "doi_IN"
    - "ha_NG_#Latn"
    - "mer_KE_#Latn"
    - "zu"
    - "bm_ML_#Latn"
    - "guz_KE"
    - "km_KH_#Khmr"
    - "ks_IN_#Arab"
    - "ja_JP"
    - "or_IN"
    - "sd_IN"
    - "bs__#Cyrl"
    - "ha_NG"
    - "eu_ES"
    - "ha_NE"
    - "as_IN_#Beng"
    - "pt_GQ"
    - "en_150"
    - "az_AZ_#Latn"
    - "ku_TR"
    - "pt_GW"
    - "nyn_UG_#Latn"
    - "agq_CM_#Latn"
    - "yue_HK_#Hant"
    - "vun_TZ_#Latn"
    - "ff_SN_#Adlm"
    - "bs_BA"
    - "ne_NP"
    - "agq_CM"
    - "ga_IE"
    - "ebu"
    - "brx_IN_#Deva"
    - "bm_ML"
    - "kok"
    - "khq_ML"
    - "es_IC"
    - "sr_RS_#Cyrl"
    - "mr_IN_#Deva"
    - "ff__#Adlm"
    - "gl_ES"
    - "kn_IN"
    - "ff_GW_#Adlm"
    - "ast_ES"
    - "sl_SI_#Latn"
    - "shi__#Latn"
    - "ksb_TZ_#Latn"
    - "id_ID_#Latn"
    - "pt_MZ"
    - "dsb_DE"
    - "zgh_MA_#Tfng"
    - "cgg_UG_#Latn"
    - "mas_KE"
    - "mua"
    - "ga_GB"
    - "xog_UG_#Latn"
    - "ce_RU_#Cyrl"
    - "dyo_SN"
    - "so_DJ"
    - "pt_LU"
    - "dje_NE_#Latn"
    - "mr_IN"
    - "lrc_IQ"
    - "lrc_IR"
    - "kok_IN_#Deva"
    - "bo_IN"
    - "ky_KG"
    - "zh_TW"
    - "yav_CM"
    - "tk_TM"
    - "rwk_TZ"
    - "es_GT"
    - "pt_MO"
    - "es_GQ"
    - "ta_IN_#Taml"
    - "uz__#Cyrl"
    - "zh_SG"
    - "wo_SN"
    - "fa_AF"
    - "nds_DE"
    - "hy_AM"
    - "mzn_IR_#Arab"
    - "xog_UG"
    - "de_DE_#Latn"
    - "dav_KE"
    - "kab_DZ"
    - "es_HN"
    - "gu_IN"
    - "wo_SN_#Latn"
    - "ff_SN"
    - "ebu_KE_#Latn"
    - "so_ET"
    - "ksb"
    - "tk_TM_#Latn"
    - "lo_LA_#Laoo"
    - "ksf"
  java.nio.charset.Charset:
    type: "string"
    enum:
    - "Big5"
    - "Big5-HKSCS"
    - "CESU-8"
    - "EUC-JP"
    - "EUC-KR"
    - "GB18030"
    - "GB2312"
    - "GBK"
    - "IBM-Thai"
    - "IBM00858"
    - "IBM01140"
    - "IBM01141"
    - "IBM01142"
    - "IBM01143"
    - "IBM01144"
    - "IBM01145"
    - "IBM01146"
    - "IBM01147"
    - "IBM01148"
    - "IBM01149"
    - "IBM037"
    - "IBM1026"
    - "IBM1047"
    - "IBM273"
    - "IBM277"
    - "IBM278"
    - "IBM280"
    - "IBM284"
    - "IBM285"
    - "IBM290"
    - "IBM297"
    - "IBM420"
    - "IBM424"
    - "IBM437"
    - "IBM500"
    - "IBM775"
    - "IBM850"
    - "IBM852"
    - "IBM855"
    - "IBM857"
    - "IBM860"
    - "IBM861"
    - "IBM862"
    - "IBM863"
    - "IBM864"
    - "IBM865"
    - "IBM866"
    - "IBM868"
    - "IBM869"
    - "IBM870"
    - "IBM871"
    - "IBM918"
    - "ISO-2022-CN"
    - "ISO-2022-JP"
    - "ISO-2022-JP-2"
    - "ISO-2022-KR"
    - "ISO-8859-1"
    - "ISO-8859-13"
    - "ISO-8859-15"
    - "ISO-8859-16"
    - "ISO-8859-2"
    - "ISO-8859-3"
    - "ISO-8859-4"
    - "ISO-8859-5"
    - "ISO-8859-6"
    - "ISO-8859-7"
    - "ISO-8859-8"
    - "ISO-8859-9"
    - "JIS_X0201"
    - "JIS_X0212-1990"
    - "KOI8-R"
    - "KOI8-U"
    - "Shift_JIS"
    - "TIS-620"
    - "US-ASCII"
    - "UTF-16"
    - "UTF-16BE"
    - "UTF-16LE"
    - "UTF-32"
    - "UTF-32BE"
    - "UTF-32LE"
    - "UTF-8"
    - "windows-1250"
    - "windows-1251"
    - "windows-1252"
    - "windows-1253"
    - "windows-1254"
    - "windows-1255"
    - "windows-1256"
    - "windows-1257"
    - "windows-1258"
    - "windows-31j"
    - "x-Big5-HKSCS-2001"
    - "x-Big5-Solaris"
    - "x-euc-jp-linux"
    - "x-EUC-TW"
    - "x-eucJP-Open"
    - "x-IBM1006"
    - "x-IBM1025"
    - "x-IBM1046"
    - "x-IBM1097"
    - "x-IBM1098"
    - "x-IBM1112"
    - "x-IBM1122"
    - "x-IBM1123"
    - "x-IBM1124"
    - "x-IBM1129"
    - "x-IBM1166"
    - "x-IBM1364"
    - "x-IBM1381"
    - "x-IBM1383"
    - "x-IBM29626C"
    - "x-IBM300"
    - "x-IBM33722"
    - "x-IBM737"
    - "x-IBM833"
    - "x-IBM834"
    - "x-IBM856"
    - "x-IBM874"
    - "x-IBM875"
    - "x-IBM921"
    - "x-IBM922"
    - "x-IBM930"
    - "x-IBM933"
    - "x-IBM935"
    - "x-IBM937"
    - "x-IBM939"
    - "x-IBM942"
    - "x-IBM942C"
    - "x-IBM943"
    - "x-IBM943C"
    - "x-IBM948"
    - "x-IBM949"
    - "x-IBM949C"
    - "x-IBM950"
    - "x-IBM964"
    - "x-IBM970"
    - "x-ISCII91"
    - "x-ISO-2022-CN-CNS"
    - "x-ISO-2022-CN-GB"
    - "x-iso-8859-11"
    - "x-JIS0208"
    - "x-JISAutoDetect"
    - "x-Johab"
    - "x-MacArabic"
    - "x-MacCentralEurope"
    - "x-MacCroatian"
    - "x-MacCyrillic"
    - "x-MacDingbat"
    - "x-MacGreek"
    - "x-MacHebrew"
    - "x-MacIceland"
    - "x-MacRoman"
    - "x-MacRomania"
    - "x-MacSymbol"
    - "x-MacThai"
    - "x-MacTurkish"
    - "x-MacUkraine"
    - "x-MS932_0213"
    - "x-MS950-HKSCS"
    - "x-MS950-HKSCS-XP"
    - "x-mswin-936"
    - "x-PCK"
    - "x-SJIS_0213"
    - "x-UTF-16LE-BOM"
    - "X-UTF-32BE-BOM"
    - "X-UTF-32LE-BOM"
    - "x-windows-50220"
    - "x-windows-50221"
    - "x-windows-874"
    - "x-windows-949"
    - "x-windows-950"
    - "x-windows-iso2022jp"
  org.alexmond.config.json.schema.jsonschemamodel.JsonSchemaProperties:
    type: "object"
    $anchor: "org.alexmond.config.json.schema.jsonschemamodel.JsonSchemaProperties"
    properties:
      additional-properties:
        type: "object"
      all-of:
        type: "array"
        items:
          type: "object"
          $ref: "#/$defs/org.alexmond.config.json.schema.jsonschemamodel.JsonSchemaProperties"
      anchor:
        type: "string"
      any-of:
        type: "array"
        items:
          type: "object"
          $ref: "#/$defs/org.alexmond.config.json.schema.jsonschemamodel.JsonSchemaProperties"
      comment:
        type: "string"
      const-value:
        type: "object"
      contains:
        type: "object"
        $ref: "#/$defs/org.alexmond.config.json.schema.jsonschemamodel.JsonSchemaProperties"
      content-encoding:
        type: "string"
      content-media-type:
        type: "string"
      content-schema:
        type: "object"
        $ref: "#/$defs/org.alexmond.config.json.schema.jsonschemamodel.JsonSchemaProperties"
      default-value:
        type: "object"
      dependent-required:
        type: "object"
        additionalProperties:
          type: "object"
      dependent-schemas:
        type: "object"
        additionalProperties:
          type: "object"
          $ref: "#/$defs/org.alexmond.config.json.schema.jsonschemamodel.JsonSchemaProperties"
      deprecated:
        type: "boolean"
      description:
        type: "string"
      else-schema:
        type: "object"
        $ref: "#/$defs/org.alexmond.config.json.schema.jsonschemamodel.JsonSchemaProperties"
      enum-values:
        type: "array"
        items:
          type: "string"
      examples:
        type: "array"
        items:
          type: "string"
      exclusive-maximum:
        type: "number"
      exclusive-minimum:
        type: "number"
      format:
        type: "string"
        enum:
        - "date"
        - "IRI"
        - "idn_email"
        - "IRI_REFERENCE"
        - "EMAIL"
        - "URI"
        - "uuid"
        - "duration"
        - "hostname"
        - "date_time"
        - "ipv4"
        - "IDN_EMAIL"
        - "ipv6"
        - "UUID"
        - "email"
        - "relative_json_pointer"
        - "uri_reference"
        - "json_pointer"
        - "iri"
        - "IPV6"
        - "IPV4"
        - "TIME"
        - "IDN_HOSTNAME"
        - "URI_REFERENCE"
        - "uri"
        - "iri_reference"
        - "DATE"
        - "HOSTNAME"
        - "RELATIVE_JSON_POINTER"
        - "idn_hostname"
        - "DATE_TIME"
        - "time"
        - "JSON_POINTER"
        - "DURATION"
      html-description:
        type: "string"
      if-schema:
        type: "object"
        $ref: "#/$defs/org.alexmond.config.json.schema.jsonschemamodel.JsonSchemaProperties"
      items:
        type: "object"
        $ref: "#/$defs/org.alexmond.config.json.schema.jsonschemamodel.JsonSchemaProperties"
      max-contains:
        type: "integer"
      max-items:
        type: "integer"
      max-length:
        type: "integer"
      max-properties:
        type: "integer"
      maximum:
        type: "number"
      min-contains:
        type: "integer"
      min-items:
        type: "integer"
      min-length:
        type: "integer"
      min-properties:
        type: "integer"
      minimum:
        type: "number"
      multiple-of:
        type: "number"
      not:
        type: "object"
        $ref: "#/$defs/org.alexmond.config.json.schema.jsonschemamodel.JsonSchemaProperties"
      one-of:
        type: "array"
        items:
          type: "object"
          $ref: "#/$defs/org.alexmond.config.json.schema.jsonschemamodel.JsonSchemaProperties"
      pattern:
        type: "string"
      pattern-properties:
        type: "object"
        additionalProperties:
          type: "object"
          $ref: "#/$defs/org.alexmond.config.json.schema.jsonschemamodel.JsonSchemaProperties"
      prefix-items:
        type: "array"
        items:
          type: "object"
          $ref: "#/$defs/org.alexmond.config.json.schema.jsonschemamodel.JsonSchemaProperties"
      properties:
        type: "object"
        additionalProperties:
          type: "object"
          $ref: "#/$defs/org.alexmond.config.json.schema.jsonschemamodel.JsonSchemaProperties"
      property-names:
        type: "object"
        $ref: "#/$defs/org.alexmond.config.json.schema.jsonschemamodel.JsonSchemaProperties"
      read-only:
        type: "boolean"
      reference:
        type: "string"
      required-properties:
        type: "array"
        items:
          type: "string"
      then-schema:
        type: "object"
        $ref: "#/$defs/org.alexmond.config.json.schema.jsonschemamodel.JsonSchemaProperties"
      title:
        type: "string"
      type:
        type: "string"
        enum:
        - "NUMBER"
        - "ARRAY"
        - "NULL"
        - "string"
        - "integer"
        - "OBJECT"
        - "BOOLEAN"
        - "number"
        - "boolean"
        - "null"
        - "array"
        - "STRING"
        - "INTEGER"
        - "object"
      unique-items:
        type: "boolean"
      write-only:
        type: "boolean"
      x-deprecation:
        type: "object"
        $anchor: "org.alexmond.config.json.schema.jsonschemamodel.XDeprecation"
        properties:
          level:
            type: "string"
          reason:
            type: "string"
          replacement:
            type: "string"
          since:
            type: "string"
  org.springframework.boot.autoconfigure.ssl.JksSslBundleProperties:Store:
    type: "object"
    $anchor: "org.springframework.boot.autoconfigure.ssl.JksSslBundleProperties:Store"
    properties:
      location:
        type: "string"
      password:
        type: "string"
      provider:
        type: "string"
      type:
        type: "string"
  org.springframework.boot.autoconfigure.ssl.PemSslBundleProperties:Store:
    type: "object"
    $anchor: "org.springframework.boot.autoconfigure.ssl.PemSslBundleProperties:Store"
    properties:
      certificate:
        type: "string"
      private-key:
        type: "string"
      private-key-password:
        type: "string"
      type:
        type: "string"
      verify-keys:
        type: "boolean"
properties:
  color:
    type: "boolean"
    description: "Flag to control whether to use colored output in the console. When\
      \ true, validation results will be displayed with ANSI color codes. @value true\
      \ @since 1.0"
    default: true
  files:
    type: "array"
    description: "Array of file paths to validate against the schema. Can contain\
      \ both YAML and JSON files. @since 1.0"
    items:
      type: "string"
  http-timeout:
    type: "string"
    description: "HTTP timeout in seconds for fetching remote schemas. @value 10 seconds\
      \ @since 1.0"
    default: "10s"
  ignore-ssl-errors:
    type: "boolean"
    description: "Flag to control whether SSL certificate validation errors should\
      \ be ignored. When true, SSL certificate validation errors will be ignored during\
      \ HTTP requests. @value true @since 1.0"
    default: false
  json-config-schema:
    type: "object"
    $anchor: "org.alexmond.config.json.schema.config.JsonConfigSchemaConfig"
    description: "JSON Schema configuration properties"
    properties:
      additional-exclude-classes:
        type: "array"
        description: "Additional class names to be excluded from schema generation.\
          \ This list can be used to specify custom classes that should be excluded\
          \ beyond the default exclusions. Classes specified here will be combined\
          \ with the default excludeClasses list."
        items:
          type: "string"
      additional-properties:
        type: "array"
        description: "List of additional property paths to include"
        default: "logging"
        items:
          type: "string"
      all-excluded-classes:
        type: "array"
        items:
          type: "string"
      allow-additional-properties:
        type: "boolean"
        description: "Allow additional properties not defined in schema, currently\
          \ not supported by intellij"
        default: "true"
      description:
        type: "string"
        description: "Schema description"
        default: "Auto-generated schema from configuration metadata"
      enable-anchor-refs:
        type: "boolean"
        description: "Enable JSON Schema anchor references"
        default: "false"
      enable-definition-refs:
        type: "boolean"
        description: "Enable JSON Schema definition references"
        default: "true"
      exclude-anchors:
        type: "array"
        description: "List of classes to exclude from anchor generation"
        items:
          type: "string"
      exclude-classes:
        type: "array"
        description: "A list of fully qualified class names that should be excluded\
          \ from schema generation. By default, includes ObjectMapper and ClassLoader\
          \ classes to prevent processing of system-level classes that aren't relevant\
          \ to configuration."
        items:
          type: "string"
      json-schema-properties-map:
        type: "object"
        description: "Map of property names or java objects to their type definitions.\
          \ Used to store custom type mappings and property configurations that override\
          \ or extend the default schema generation behavior."
        additionalProperties:
          $ref: "#/$defs/org.alexmond.config.json.schema.jsonschemamodel.JsonSchemaProperties"
      missing-type-log:
        type: "boolean"
        description: "Enable logging for missing type information"
        default: "false"
      schema-id:
        type: "string"
        description: "Schema identifier urn, or url"
        default: "urn:uuid:your-schema-id"
      schema-spec:
        type: "string"
        description: "JSON Schema specification URL"
        default: "https://json-schema.org/draft/2020-12/schema"
      title:
        type: "string"
        description: "Schema title"
        default: "Spring Boot Configuration Properties"
      use-openapi:
        type: "boolean"
        description: "Enable OpenAPI annotations processing"
        default: "true"
      use-validation:
        type: "boolean"
        description: "Enable validation annotations processing"
        default: "true"
  logging:
    type: "object"
    properties:
      charset:
        type: "object"
        properties:
          console:
            $ref: "#/$defs/java.nio.charset.Charset"
            description: "Charset to use for console output."
          file:
            $ref: "#/$defs/java.nio.charset.Charset"
            description: "Charset to use for file output."
      config:
        type: "string"
        description: "Location of the logging configuration file. For instance, `classpath:logback.xml`\
          \ for Logback."
      console:
        type: "object"
        properties:
          enabled:
            type: "boolean"
            description: "Whether to enable console-based logging."
      exception-conversion-word:
        type: "string"
        description: "Conversion word used when logging exceptions."
        default: "%wEx"
      file:
        type: "object"
        properties:
          clean-history-on-start:
            type: "boolean"
            description: "Whether to clean the archive log files on startup. Only\
              \ supported with the default logback setup."
            deprecated: true
            default: false
            x-deprecation:
              replacement: "logging.logback.rollingpolicy.clean-history-on-start"
              since: "2.4.0"
          max-history:
            type: "integer"
            description: "Maximum number of archive log files to keep. Only supported\
              \ with the default logback setup."
            deprecated: true
            default: 7
            x-deprecation:
              replacement: "logging.logback.rollingpolicy.max-history"
              since: "2.4.0"
          max-size:
            type: "string"
            description: "Maximum log file size. Only supported with the default logback\
              \ setup."
            deprecated: true
            default: "10MB"
            x-deprecation:
              replacement: "logging.logback.rollingpolicy.max-file-size"
              since: "2.4.0"
          name:
            type: "string"
            description: "Log file name (for instance, `myapp.log`). Names can be\
              \ an exact location or relative to the current directory."
          path:
            type: "string"
            description: "Location of the log file. For instance, `/var/log`."
          total-size-cap:
            type: "string"
            description: "Total size of log backups to be kept. Only supported with\
              \ the default logback setup."
            deprecated: true
            default: "0B"
            x-deprecation:
              replacement: "logging.logback.rollingpolicy.total-size-cap"
              since: "2.4.0"
      group:
        type: "object"
        description: "Log groups to quickly change multiple loggers at the same time.\
          \ For instance, `logging.group.db=org.hibernate,org.springframework.jdbc`."
        additionalProperties:
          type: "object"
      include-application-group:
        type: "boolean"
        description: "Whether to include the application group in the logs."
        default: true
      include-application-name:
        type: "boolean"
        description: "Whether to include the application name in the logs."
        default: true
      level:
        $ref: "#/$defs/loggerLevelProp"
        description: "Log levels severity mapping. For instance, `logging.level.org.springframework=DEBUG`."
      log4j2:
        type: "object"
        properties:
          config:
            type: "object"
            properties:
              override:
                type: "array"
                description: "Overriding configuration files used to create a composite\
                  \ configuration. Can be prefixed with 'optional:' to only load the\
                  \ override if it exists."
                items:
                  type: "string"
      logback:
        type: "object"
        properties:
          rollingpolicy:
            type: "object"
            properties:
              clean-history-on-start:
                type: "boolean"
                description: "Whether to clean the archive log files on startup."
                default: false
              file-name-pattern:
                type: "string"
                description: "Pattern for rolled-over log file names."
                default: "${LOG_FILE}.%d{yyyy-MM-dd}.%i.gz"
              max-file-size:
                type: "string"
                description: "Maximum log file size."
                default: "10MB"
              max-history:
                type: "integer"
                description: "Maximum number of archive log files to keep."
                default: 7
              total-size-cap:
                type: "string"
                description: "Total size of log backups to be kept."
                default: "0B"
      pattern:
        type: "object"
        properties:
          console:
            type: "string"
            description: "Appender pattern for output to the console. Its default\
              \ value varies according to the logging system."
          correlation:
            type: "string"
            description: "Appender pattern for log correlation. Its default value\
              \ varies according to the logging system."
          dateformat:
            type: "string"
            description: "Appender pattern for log date format."
            default: "yyyy-MM-dd'T'HH:mm:ss.SSSXXX"
          file:
            type: "string"
            description: "Appender pattern for output to a file. Its default value\
              \ varies according to the logging system."
          level:
            type: "string"
            description: "Appender pattern for log level."
            default: "%5p"
          rolling-file-name:
            type: "string"
            description: "Pattern for rolled-over log file names. Supported only with\
              \ the default Logback setup."
            deprecated: true
            default: "${LOG_FILE}.%d{yyyy-MM-dd}.%i.gz"
            x-deprecation:
              replacement: "logging.logback.rollingpolicy.file-name-pattern"
              since: "2.4.0"
      register-shutdown-hook:
        type: "boolean"
        description: "Register a shutdown hook for the logging system when it is initialized.\
          \ Disabled automatically when deployed as a war file."
        default: true
      structured:
        type: "object"
        properties:
          ecs:
            type: "object"
            properties:
              service:
                type: "object"
                properties:
                  environment:
                    type: "string"
                    description: "Structured ECS service environment."
                  name:
                    type: "string"
                    description: "Structured ECS service name (defaults to 'spring.application.name')."
                  node-name:
                    type: "string"
                    description: "Structured ECS service node name."
                  version:
                    type: "string"
                    description: "Structured ECS service version (defaults to 'spring.application.version')."
          format:
            type: "object"
            properties:
              console:
                type: "string"
                description: "Structured logging format for output to the console.\
                  \ Must be either a format id or a fully qualified class name."
                examples:
                - "ecs"
                - "gelf"
                - "logstash"
              file:
                type: "string"
                description: "Structured logging format for output to a file. Must\
                  \ be either a format id or a fully qualified class name."
                examples:
                - "ecs"
                - "gelf"
                - "logstash"
          gelf:
            type: "object"
            properties:
              host:
                type: "string"
                description: "Structured GELF host (defaults to 'spring.application.name')."
              service:
                type: "object"
                properties:
                  version:
                    type: "string"
                    description: "Structured GELF service version (defaults to 'spring.application.version')."
          json:
            type: "object"
            properties:
              add:
                type: "object"
                description: "Additional members that should be added to structured\
                  \ logging JSON"
              context:
                type: "object"
                properties:
                  include:
                    type: "boolean"
                    description: "Whether context data should be included in the JSON."
                  prefix:
                    type: "string"
                    description: "The prefix to use when inserting context data."
              customizer:
                type: "array"
                description: "Fully qualified class names of StructuredLoggingJsonMembersCustomizer\
                  \ implementations"
                items:
                  type: "object"
              exclude:
                type: "array"
                description: "Member paths that should be excluded from structured\
                  \ logging JSON"
                items:
                  type: "string"
              include:
                type: "array"
                description: "Member paths that should be included in structured logging\
                  \ JSON"
                items:
                  type: "string"
              rename:
                type: "object"
                description: "Mapping between member paths and an alternative name\
                  \ that should be used in structured logging JSON"
              stacktrace:
                type: "object"
                properties:
                  include-common-frames:
                    type: "boolean"
                    description: "Whether common frames should be included."
                  include-hashes:
                    type: "boolean"
                    description: "Whether stack trace hashes should be included."
                  max-length:
                    type: "integer"
                    description: "Maximum length to print."
                  max-throwable-depth:
                    type: "integer"
                    description: "Maximum throwable depth to print."
                  printer:
                    type: "string"
                    description: "Name of the printer to use. Can be 'standard', 'logging-system',\
                      \ or the fully-qualified class name of a StackTracePrinter.\
                      \ When not specified 'logging-system' or 'standard' will be\
                      \ used depending if other properties are set."
                    examples:
                    - "standard"
                    - "logging-system"
                  root:
                    type: "string"
                    description: "Root ordering (root first or root last)."
      threshold:
        type: "object"
        properties:
          console:
            $ref: "#/$defs/loggerLevel"
            description: "Log level threshold for console output."
            default: "TRACE"
          file:
            $ref: "#/$defs/loggerLevel"
            description: "Log level threshold for file output."
            default: "TRACE"
  report-file-name:
    type: "string"
    description: "Name of the file to write the validation report to. Only used when\
      \ reportType is not TEXT. @since 1.0"
  report-type:
    type: "string"
    description: "Type of validation report to generate. @value TEXT @since 1.0"
    default: "text"
    enum:
    - "SARIF"
    - "junit"
    - "sarif"
    - "JUNIT"
    - "json"
    - "TEXT"
    - "JSON"
    - "text"
    - "YAML"
    - "yaml"
  schema:
    type: "string"
    description: "Path to the JSON schema in either JSON or YAML file format used\
      \ for validation. Can be either a local file path or URL."
  schema-override:
    type: "boolean"
    description: "Flag to override a schema path specified in the YAML / JSON file.\
      \ If true, uses schemaPath property instead of $schema from YAML. @value false\
      \ @since 1.0"
    default: false
  spring:
    type: "object"
    properties:
      info:
        type: "object"
        $anchor: "org.springframework.boot.autoconfigure.info.ProjectInfoProperties"
        properties:
          build:
            type: "object"
            $anchor: "org.springframework.boot.autoconfigure.info.ProjectInfoProperties:Build"
            properties:
              encoding:
                $ref: "#/$defs/java.nio.charset.Charset"
                description: "File encoding."
                default: "UTF-8"
              location:
                type: "string"
                description: "Location of the generated build-info.properties file."
                default: "classpath:META-INF/build-info.properties"
          git:
            type: "object"
            $anchor: "org.springframework.boot.autoconfigure.info.ProjectInfoProperties:Git"
            properties:
              encoding:
                $ref: "#/$defs/java.nio.charset.Charset"
                description: "File encoding."
                default: "UTF-8"
              location:
                type: "string"
                description: "Location of the generated git.properties file."
                default: "classpath:git.properties"
      jmx:
        type: "object"
        $anchor: "org.springframework.boot.autoconfigure.jmx.JmxProperties"
        properties:
          enabled:
            type: "boolean"
            description: "Expose Spring's management beans to the JMX domain."
            default: false
      lifecycle:
        type: "object"
        $anchor: "org.springframework.boot.autoconfigure.context.LifecycleProperties"
        properties:
          timeout-per-shutdown-phase:
            type: "string"
            description: "Timeout for the shutdown of any phase (group of SmartLifecycle\
              \ beans with the same 'phase' value)."
            default: "30s"
      ssl:
        type: "object"
        $anchor: "org.springframework.boot.autoconfigure.ssl.SslProperties"
        properties:
          bundle:
            type: "object"
            $anchor: "org.springframework.boot.autoconfigure.ssl.SslProperties:Bundles"
            properties:
              jks:
                type: "object"
                description: "Java keystore SSL trust material."
                additionalProperties:
                  type: "object"
                  $anchor: "org.springframework.boot.autoconfigure.ssl.JksSslBundleProperties"
                  properties:
                    keystore:
                      $ref: "#/$defs/org.springframework.boot.autoconfigure.ssl.JksSslBundleProperties:Store"
                    truststore:
                      type: "object"
                      $ref: "#/$defs/org.springframework.boot.autoconfigure.ssl.JksSslBundleProperties:Store"
              pem:
                type: "object"
                description: "PEM-encoded SSL trust material."
                additionalProperties:
                  type: "object"
                  $anchor: "org.springframework.boot.autoconfigure.ssl.PemSslBundleProperties"
                  properties:
                    keystore:
                      $ref: "#/$defs/org.springframework.boot.autoconfigure.ssl.PemSslBundleProperties:Store"
                    truststore:
                      type: "object"
                      $ref: "#/$defs/org.springframework.boot.autoconfigure.ssl.PemSslBundleProperties:Store"
              watch:
                type: "object"
                $anchor: "org.springframework.boot.autoconfigure.ssl.SslProperties:Bundles:Watch"
                properties:
                  file:
                    type: "object"
                    $anchor: "org.springframework.boot.autoconfigure.ssl.SslProperties:Bundles:Watch:File"
                    properties:
                      quiet-period:
                        type: "string"
                        description: "Quiet period, after which changes are detected."
                        default: "10s"
      task:
        type: "object"
        properties:
          execution:
            type: "object"
            $anchor: "org.springframework.boot.autoconfigure.task.TaskExecutionProperties"
            properties:
              mode:
                type: "string"
                description: "Determine when the task executor is to be created."
                default: "auto"
                enum:
                - "AUTO"
                - "auto"
                - "FORCE"
                - "force"
              pool:
                type: "object"
                $anchor: "org.springframework.boot.autoconfigure.task.TaskExecutionProperties:Pool"
                properties:
                  allow-core-thread-timeout:
                    type: "boolean"
                    description: "Whether core threads are allowed to time out. This\
                      \ enables dynamic growing and shrinking of the pool. Doesn't\
                      \ have an effect if virtual threads are enabled."
                    default: true
                  core-size:
                    type: "integer"
                    description: "Core number of threads. Doesn't have an effect if\
                      \ virtual threads are enabled."
                    default: 8
                  keep-alive:
                    type: "string"
                    description: "Time limit for which threads may remain idle before\
                      \ being terminated. Doesn't have an effect if virtual threads\
                      \ are enabled."
                    default: "60s"
                  max-size:
                    type: "integer"
                    description: "Maximum allowed number of threads. If tasks are\
                      \ filling up the queue, the pool can expand up to that size\
                      \ to accommodate the load. Ignored if the queue is unbounded.\
                      \ Doesn't have an effect if virtual threads are enabled."
                  queue-capacity:
                    type: "integer"
                    description: "Queue capacity. An unbounded capacity does not increase\
                      \ the pool and therefore ignores the \"max-size\" property.\
                      \ Doesn't have an effect if virtual threads are enabled."
                  shutdown:
                    type: "object"
                    $anchor: "org.springframework.boot.autoconfigure.task.TaskExecutionProperties:Pool:Shutdown"
                    properties:
                      accept-tasks-after-context-close:
                        type: "boolean"
                        description: "Whether to accept further tasks after the application\
                          \ context close phase has begun."
                        default: false
              shutdown:
                type: "object"
                $anchor: "org.springframework.boot.autoconfigure.task.TaskExecutionProperties:Shutdown"
                properties:
                  await-termination:
                    type: "boolean"
                    description: "Whether the executor should wait for scheduled tasks\
                      \ to complete on shutdown."
                    default: false
                  await-termination-period:
                    type: "string"
                    description: "Maximum time the executor should wait for remaining\
                      \ tasks to complete."
              simple:
                type: "object"
                $anchor: "org.springframework.boot.autoconfigure.task.TaskExecutionProperties:Simple"
                properties:
                  cancel-remaining-tasks-on-close:
                    type: "boolean"
                    description: "Whether to cancel remaining tasks on close. Only\
                      \ recommended if threads are commonly expected to be stuck."
                    default: false
                  concurrency-limit:
                    type: "integer"
                    description: "Set the maximum number of parallel accesses allowed.\
                      \ -1 indicates no concurrency limit at all."
                  reject-tasks-when-limit-reached:
                    type: "boolean"
                    description: "Whether to reject tasks when the concurrency limit\
                      \ has been reached."
                    default: false
              thread-name-prefix:
                type: "string"
                description: "Prefix to use for the names of newly created threads."
                default: "task-"
          scheduling:
            type: "object"
            $anchor: "org.springframework.boot.autoconfigure.task.TaskSchedulingProperties"
            properties:
              pool:
                type: "object"
                $anchor: "org.springframework.boot.autoconfigure.task.TaskSchedulingProperties:Pool"
                properties:
                  size:
                    type: "integer"
                    description: "Maximum allowed number of threads. Doesn't have\
                      \ an effect if virtual threads are enabled."
                    default: 1
              shutdown:
                type: "object"
                $anchor: "org.springframework.boot.autoconfigure.task.TaskSchedulingProperties:Shutdown"
                properties:
                  await-termination:
                    type: "boolean"
                    description: "Whether the executor should wait for scheduled tasks\
                      \ to complete on shutdown."
                    default: false
                  await-termination-period:
                    type: "string"
                    description: "Maximum time the executor should wait for remaining\
                      \ tasks to complete."
              simple:
                type: "object"
                $anchor: "org.springframework.boot.autoconfigure.task.TaskSchedulingProperties:Simple"
                properties:
                  concurrency-limit:
                    type: "integer"
                    description: "Set the maximum number of parallel accesses allowed.\
                      \ -1 indicates no concurrency limit at all."
              thread-name-prefix:
                type: "string"
                description: "Prefix to use for the names of newly created threads."
                default: "scheduling-"
additionalProperties: true
